<?php 
$p = $this->info;
$theme = Cavy::$ENV['theme'] != null ? Cavy::$ENV['theme'] : 'classic';
?>
<html>
	<head>
		<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
		<link href="/stylesheet/<?=$theme?>/nsfocus_ui.css" rel="stylesheet" type="text/css"/>
		<script language="javascript" src="/js/ui.js"></script>
		<script language="javascript" src="/js/prototype.js"></script>
		<script language="javascript" src="/js/jquery/jquery.js"></script>
		<script language="javascript">
		function on_submit(o) {
			o.form.submit();
			return false;
		}
		
		function moreInfo(element, e) {
			var obj = document.getElementById(element),
				replaceCert = document.getElementById("replaceCert"),
				img = document.getElementById('img_adv');
			if (obj.className== "hide") {
				obj.className = "show";
				replaceCert.className = "show";
				img.src = '/stylesheet/<?=$theme?>/images/icon/arrow_drop.gif';
			} else {
				obj.className = "hide";
				replaceCert.className = "hide";
				img.src = '/stylesheet/<?=$theme?>/images/icon/arrow_up.gif';
			}
		}

		function onChange(obj,type,id){
			var sslSpan = null;
			var tcpSpan = null;
			var aesSpan = null;
			if(type=="espp"){
				sslSpan = document.getElementById('espp_ssl');
				tcpSpan = document.getElementById('espp_tcp');
				aesSpan = document.getElementById('espp_aes');
				
			}else if(type=="espc"){
				sslSpan = document.getElementById('espc_ssl_'+id);
				tcpSpan = document.getElementById('espc_tcp_'+id);
				aesSpan = document.getElementById('espc_aes_'+id);
			}
			if(sslSpan!=null && tcpSpan!=null && aesSpan!=null){
				if(obj.value=="aes"){
					aesSpan.style.display="inline";
					sslSpan.style.display="none";
					tcpSpan.style.display="none";
				}else if(obj.value=="ssl"){
					aesSpan.style.display="none";
					sslSpan.style.display="inline";
					tcpSpan.style.display="none";
				}else{
					aesSpan.style.display="none";
					sslSpan.style.display="none";
					tcpSpan.style.display="inline";
				}
			}
		}
		
		function getStatus(){
			var myAjax = new Ajax.Request('/npaiSetting/getStatus', {
				method     		: 	'post', 
				parameters      :   '',
				asynchronous	:	false,
				onComplete: function(r) {
					try{
						var status = eval("("+r.responseText+")");
						if(status[0]){
							document.getElementById('espp_status').innerHTML = status[0]['img'];
						} else {
							document.getElementById('espp_status').innerHTML = '';
						}
						for(var i=1;i<5;i++){
							if(status[i]){
								document.getElementById('espc_status_'+i).innerHTML = status[i]['img'];
							} else {
								document.getElementById('espc_status_'+i).innerHTML = '';
							}
						}
					}catch(o){
					}
					jQuery(".tipBox").each(function() {
						jQuery(this).attr("title", jQuery(this).attr("tipbox"));
					});
					UI.tipBox();
				}
			});
		}
		function recoverSetting(){
			if (confirm('<?=$this->text('setting.recover.certain')?>')) {
				setTimeout(function() {
					var myAjax = new Ajax.Request('/npaiSetting/recoverSetting', {
						method     		: 	'post', 
						parameters      :   '',
						asynchronous	:	false,
						onComplete: function(r) {
							var msg = r.responseText;
							if(msg == "setting.recover.succ"){
								text = '<?=$this->text('setting.recover.succ')?>';
								setTimeout(function() {
									location.href="/npaiSetting/index";
								}, 10);
							}else{
								text = '<?=$this->text('setting.recover.fail')?>';
							}
							alert(text);
						}
					});
				}, 0);
			}
		}

		function updateNpai(o){
			if (confirm('<?=$this->text('setting.update.npai.certain')?>')) {
				document.getElementById('loading').style.display = 'block';
				o.form.submit();
			}
			return false;
		}

		function replaceCert(o){
			if (confirm('<?=$this->text('setting.replace.cert.certain')?>')) {
				document.getElementById('loading').style.display = 'block';
				o.form.submit();
			}
			return false;
		}

		function autoUpateSetting(obj,text){
			if (confirm(text)) {
				document.getElementById('loading').style.display = 'block';
				setTimeout(function() {
					var myAjax = new Ajax.Request('/npaiSetting/autoUpdateSetting/enable/'+obj.value, {
						method     		: 	'post', 
						parameters      :   '',
						asynchronous	:	false,
						onComplete: function(r) {
							document.getElementById('loading').style.display = 'none';
							var msg = r.responseText;
							if(msg == "true"){
								text = '<?=$this->text('setting.autoUpdate.succ')?>';
							}else{
								text = '<?=$this->text('setting.autoUpdate.fail')?>';
							}
							alert(text);
							location.href="/npaiSetting/index";
						}
					});
				}, 0);
			}else{
				location.href="/npaiSetting/index";
			}
		}
		
		setInterval(getStatus,10000);
	</script>
	<style type="text/css">
	.high_level {
		position: relative;
		border-top: 1px solid #98C5DA;
		height: 0px;
		line-height: 0px;
		margin-bottom: 0px;
	}
	</style>
</head>
<body>
<?
$status = $p['status'];
?>

<!-- 基本配置 -->
<form method="post" enctype="application/x-www-form-urlencoded" action="/npaiSetting/update" onsubmit="return false;" class="cmn_form"  target="submit_ifram_result">
<div class="sub_title"><span><?=$this->text('setting.title.basic')?></span></div>
<table width="100%" class="sub_table">
	<tr class="even">
		<th width="5%"><?=$this->text("setting.locale.ip")?></th>
		<td><input type="text" class="text" id="local_ip" name="setting[local_ip]" value="<?=$p['local_ip']?>"/></td>
	</tr>
	<tr class="line"><td colspan="2"></td></tr>
	<tr class="odd">
		<th width="5%"><?=$this->text("setting.ip.espp")?></th>
		<td>
			<input type="text" class="text" id="espp_ip" name="setting[espp_ip]" value="<?=$p['espp_ip']?>" />
			<input type="checkbox" class="checkbox" name="setting[espp_inuse][]" value="yes"  id="espp_inuse"  <?=$p['espp_inuse']=='yes'?'checked="checked"':''?> /><?=$this->text('setting.lable.link')?>
			<span id="espp_status">
			<?
			if(!empty($p['espp_ip']) && $p['espp_inuse']=='yes'){
				echo $status[0]['img'];
			}
			?>
			</span>
		</td>
	</tr>
	<? for ($i = 1;$i < 5;$i ++) {?>
	<tr class="odd">
		<th><?=$this->text("label.setting.espc.address.".$i)?></th>
		<td>
			<input type="text" class="text" id="espc_ip_<?=$i?>" name="setting[espc_ip_<?=$i?>]" value="<?=$p['espc_ip_'.$i]?>" />		
			<input type="checkbox" class="checkbox" name="setting[espc_inuse_<?=$i?>][]" value="yes"  id="espc_inuse_<?=$i?>"  <?=$p['espc_inuse_'.$i]=='yes'?'checked="checked"':''?>/><?=$this->text('setting.lable.link')?>
			<span id="espc_status_<?=$i?>">
			<?
			if(!empty($p['espc_ip_'.$i]) && $p['espc_inuse_'.$i]=='yes'){
				echo $status[$i]['img'];
			}
			?>
			</span>
		</td>
	</tr>
	<? }?>
	<tr class="line"><td colspan="2"></td></tr>
	<tr><th>&nbsp;</th><td><button class="cmn_btn" onclick="return on_submit(this);"><?=$this->text('setting.button.certain')?></button></td></tr>

<!-- 高级选项 -->
	<?
	echo '<tr height="25px"><td colspan="2"><div class="sub_title"><span style="cursor:pointer;"  onClick="moreInfo(\'moreInfo\',this)">'.$this->text('setting.title.advance').'<img id="img_adv" src="/stylesheet/'.$theme.'/images/icon/arrow_up.gif"/></span></div></td></tr>';
	echo '<tbody id="moreInfo" class="hide">';
	?>
	
	<tr class="even">
		<th width="5%"><?=$this->text("setting.lable.espp")?></th>
		<td>
			<!-- 
			<?=$this->text("setting.lable.authPwd")?>
			<input size="12" type="password" class="text" id="espp_auth_pwd" name="setting[espp_auth_pwd]" value="<?=$p['espp_auth_pwd']?>" />
			-->
			<?=$this->text("setting.lable.tranType")?>
			<select class="text" id="espp_tran" name="setting[espp_tran]" onChange="onChange(this,'espp','0');">
				<option value="ssl" <?=$p['espp_tran']=='ssl'?'selected':'';?>>SSL</option>
				<option value="aes" <?=$p['espp_tran']=='aes'?'selected':'';?>>AES</option>
				<option value="tcp" <?=$p['espp_tran']=='tcp'?'selected':'';?>>TCP</option>
			</select>
			<span id="espp_ssl" style=" display:<?=$p['espp_tran']=='ssl'?'inline':'none';?>">
				<?=$this->text("setting.lable.ssl")?>
				<input size="6" type="text" class="text" id="espp_port_ssl" name="setting[espp_port_ssl]" value="<?=$p['espp_port_ssl']?>" />
			</span>
			<span id="espp_tcp" style=" display:<?=$p['espp_tran']=='tcp'?'inline':'none';?>">
				<?=$this->text("setting.lable.tcp")?>
				<input size="6" type="text" class="text" id="espp_port_tcp" name="setting[espp_port_tcp]" value="<?=$p['espp_port_tcp']?>" />
			</span>
			<span id="espp_aes" style=" display:<?=$p['espp_tran']=='aes'?'inline':'none';?>">
				<?=$this->text("setting.lable.aes")?>
				<input size="12" type="password" class="text" id="espp_aes_pwd" name="setting[espp_aes_pwd]" value="<?=$p['espp_aes_pwd']?>" />
				<img class="tipBox" src="/stylesheet/<?=$theme?>/images/icon/from_help.gif" align="absmiddle" title="<?=$this->text('comment.npai.client.config')?>" />
			</span>
			<!--
			<input type="checkbox" class="checkbox" name="setting[espp_log][]" value="yes"  id="espp_log"  <?=$p['espp_log']=='yes'?'checked="checked"':''?>/>
			<?=$this->text('setting.lable.log')?>
			-->
		</td>
	</tr>
	<? for ($i = 1;$i < 5;$i++) {
		$cls = ($i%2==0)? 'even':'odd'; 
	?>
	<tr class="even">
		<th><?=$this->text("label.setting.espc.name.".$i)?></th>
		<td>
			<?=$this->text("setting.lable.authPwd")?>
			<input size="12" type="password" class="text" id="espc_auth_pwd_<?=$i?>" name="setting[espc_auth_pwd_<?=$i?>]" value="<?=$p['espc_auth_pwd_'.$i]?>" />
			<?=$this->text("setting.lable.tranType")?>
			<select class="text" id="espp_tran" name="setting[espc_tran_<?=$i?>]" onChange="onChange(this,'espc','<?=$i?>');">
				<option value="ssl" <?=$p['espc_tran_'.$i]=='ssl'?'selected':'';?>>SSL</option>
				<option value="aes" <?=$p['espc_tran_'.$i]=='aes'?'selected':'';?>>AES</option>
				<option value="tcp" <?=$p['espc_tran_'.$i]=='tcp'?'selected':'';?>>TCP</option>
			</select>
			<span id="espc_ssl_<?=$i?>" style=" display:<?=$p['espc_tran_'.$i]=='ssl'?'inline':'none';?>">
				<?=$this->text("setting.lable.ssl")?>
				<input size="6" type="text" class="text" id="espc_port_ssl_<?=$i?>" name="setting[espc_port_ssl_<?=$i?>]" value="<?=$p['espc_port_ssl_'.$i]?>" />
			</span>
			<span id="espc_tcp_<?=$i?>" style=" display:<?=$p['espc_tran_'.$i]=='tcp'?'inline':'none';?>">
				<?=$this->text("setting.lable.tcp")?>
				<input size="6" type="text" class="text" id="espc_port_tcp_<?=$i?>" name="setting[espc_port_tcp_<?=$i?>]" value="<?=$p['espc_port_tcp_'.$i]?>" />
			</span>
			<span id="espc_aes_<?=$i?>" style=" display:<?=$p['espc_tran_'.$i]=='aes'?'inline':'none';?>">
			<?=$this->text("setting.lable.aes")?>
			<input size="12" type="password" class="text" id="espc_aes_pwd_<?=$i?>" name="setting[espc_aes_pwd_<?=$i?>]" value="<?=$p['espc_aes_pwd_'.$i]?>" />
			<img class="tipBox" src="/stylesheet/<?=$theme?>/images/icon/from_help.gif" align="absmiddle" title="<?=$this->text('comment.npai.client.config')?>" />
			</span>
		</td>
	</tr>
	<? }?>
	<tr>
		<th>&nbsp;</th>
		<td>
			<button class="cmn_btn" onclick="return on_submit(this);"><?=$this->text('setting.button.certain')?></button>
			<button class="cmn_btn" onclick="return recoverSetting();"><?=$this->text('setting.button.recover')?></button>
		</td>
	</tr>
	</tbody>
</table>
</form>

<form method="post" action="/npaiSetting/replaceCert" enctype="multipart/form-data" class="cmn_form" target="submit_ifram_result">
<table width="100%" class="sub_table hide" id="replaceCert">
	<tr class="line"><td colspan="2"></td></tr>
	<tr class="odd">
		<td><?=$this->text("setting.lable.cert")?></td>
		<td>
			<input type="file" class="file" id="cert" name="cert" value="" />
			&nbsp;&nbsp;
			<button class="cmn_btn" type="button" onclick="replaceCert(this);"><?=$this->text('setting.button.replace')?></button>
		</td>
	</tr>
	<tr class="line"><td colspan="2"></td></tr>
</table>
</form>


<!-- 其他配置 -->
<form method="post" action="/npaiSetting/updateNpai" enctype="multipart/form-data" class="cmn_form" target="submit_ifram_result">
<table  width="100%" class="sub_table">
	<tr height="25px"><td colspan="2"><div class="sub_title"><span><?=$this->text('setting.title.other')?></span></div></td></tr>
	<tr class="even">
		<th width="5%"><?=$this->text("setting.lable.npai.version")?></th>
		<td><?=$p['npai_info']['version']?></td>
	</tr>
	<tr class="even">
		<th><?=$this->text("setting.lable.npai.time")?></th>
		<td><?=$p['npai_info']['updateTime']?></td>
	</tr>
</table>
</form>
<form method="post" action="/npaiSetting/getDebugInfo" class="cmn_form" target="submit_ifram_result">
<table width="100%" class="sub_table">
	<tr class="line"><td colspan="2"></td></tr>
	<tr class="odd">
		<th width="12%"><?=$this->text("setting.lable.debug")?></th>
		<td><button class="cmn_btn" type="submit"><?=$this->text('setting.button.debug')?></button></td>
	</tr>
	<tr class="line"><td colspan="2"></td></tr>
</table>
</form>
<iframe name="submit_ifram_result" style="display:none;"></iframe>
<div class="load" id="loading" style="display: none;position: absolute;"><div class="load_bg"></div><div class="load_con"><span><?=$this->text('running');?></span></div></div>
</body>
</html>
<script type="text/javascript">
UI.tipBox();
</script>
